Invite multiple users by email
curl --request POST \
--url https://staging.api.us.aptlydone.com/auth/v1/user/bulk-invite \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tenantId": "887fd99a-e3ab-44ac-8253-31f269599f2b",
"users": [
{
"email": "[email protected]",
"firstName": "Rowan",
"lastName": "Kihn",
"displayName": "Tyler Christiansen",
"mobilePhone": "+1 (555) 123-4567",
"roleIds": [
"476412b3-b02e-42be-acb8-8fc2b846d16f"
],
"groups": [
{
"groupId": "1b73b9b9-1ba6-4a3a-8b69-62be5bdba90f",
"isPrimaryOrg": true
}
],
"managerId": "517779ff-e242-40a2-8d27-bc2bd5eb3b1c",
"positionIds": [
"4d7ba117-6706-4518-be4b-6df1b16eb655"
],
"employeeId": "39c0Fq0iVi",
"employeeNumber": "i731WPuGeA",
"employeeType": "Full-time",
"employmentType": "Permanent",
"sourceId": "tsXqD3vLNgFgLBwUPC4q",
"actorType": "OefUITzURw",
"aiAgentType": "GMWanEoiouGxZps",
"startDate": "2025-04-19T23:48:44.300Z",
"terminationDate": "2026-07-25T15:03:13.226Z",
"customAttributes": {
"department": "Engineering",
"level": "Senior"
},
"existingUser": {}
}
]
}
'import requests
url = "https://staging.api.us.aptlydone.com/auth/v1/user/bulk-invite"
payload = {
"tenantId": "887fd99a-e3ab-44ac-8253-31f269599f2b",
"users": [
{
"email": "[email protected]",
"firstName": "Rowan",
"lastName": "Kihn",
"displayName": "Tyler Christiansen",
"mobilePhone": "+1 (555) 123-4567",
"roleIds": ["476412b3-b02e-42be-acb8-8fc2b846d16f"],
"groups": [
{
"groupId": "1b73b9b9-1ba6-4a3a-8b69-62be5bdba90f",
"isPrimaryOrg": True
}
],
"managerId": "517779ff-e242-40a2-8d27-bc2bd5eb3b1c",
"positionIds": ["4d7ba117-6706-4518-be4b-6df1b16eb655"],
"employeeId": "39c0Fq0iVi",
"employeeNumber": "i731WPuGeA",
"employeeType": "Full-time",
"employmentType": "Permanent",
"sourceId": "tsXqD3vLNgFgLBwUPC4q",
"actorType": "OefUITzURw",
"aiAgentType": "GMWanEoiouGxZps",
"startDate": "2025-04-19T23:48:44.300Z",
"terminationDate": "2026-07-25T15:03:13.226Z",
"customAttributes": {
"department": "Engineering",
"level": "Senior"
},
"existingUser": {}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tenantId: '887fd99a-e3ab-44ac-8253-31f269599f2b',
users: [
{
email: '[email protected]',
firstName: 'Rowan',
lastName: 'Kihn',
displayName: 'Tyler Christiansen',
mobilePhone: '+1 (555) 123-4567',
roleIds: ['476412b3-b02e-42be-acb8-8fc2b846d16f'],
groups: [{groupId: '1b73b9b9-1ba6-4a3a-8b69-62be5bdba90f', isPrimaryOrg: true}],
managerId: '517779ff-e242-40a2-8d27-bc2bd5eb3b1c',
positionIds: ['4d7ba117-6706-4518-be4b-6df1b16eb655'],
employeeId: '39c0Fq0iVi',
employeeNumber: 'i731WPuGeA',
employeeType: 'Full-time',
employmentType: 'Permanent',
sourceId: 'tsXqD3vLNgFgLBwUPC4q',
actorType: 'OefUITzURw',
aiAgentType: 'GMWanEoiouGxZps',
startDate: '2025-04-19T23:48:44.300Z',
terminationDate: '2026-07-25T15:03:13.226Z',
customAttributes: {department: 'Engineering', level: 'Senior'},
existingUser: {}
}
]
})
};
fetch('https://staging.api.us.aptlydone.com/auth/v1/user/bulk-invite', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"timestamp": "2026-01-12T09:10:12.337Z",
"message": "Success",
"data": {
"total": 10,
"successful": 8,
"failed": 2,
"results": [
{
"email": "<string>",
"success": true,
"message": "<string>"
}
]
}
}Users
Invite multiple users by email
POST
/
v1
/
user
/
bulk-invite
Invite multiple users by email
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
201 - application/json
Users invited successfully
Was this page helpful?
āI